Skip to main content
POST
/
api
/
platform
/
ecosystems
Create ecosystem
curl --request POST \
  --url https://api-next.dealroom.co/api/platform/ecosystems \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slug": "dutch-fintech",
  "name": "Dutch Fintech",
  "description": "Fintech companies headquartered in the Netherlands.",
  "filter": "and(organization_subtype[eq]:company,hq_location[eq]:165,tag_id[in_any]:42)",
  "region": "EU"
}
'
{
  "data": {
    "id": 123,
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "long_description": "<string>",
    "filter": "<string>",
    "jobs_filter": "<string>",
    "region": "<string>",
    "image_url": "<string>",
    "geojson_url": "<string>",
    "partner_logos": [
      {
        "name": "<string>",
        "url": "<string>",
        "image_url": "<string>"
      }
    ],
    "primary_color": "<string>",
    "surface_color": "<string>",
    "brand_surface_color": "<string>",
    "anonymous_access": true,
    "currency": "EUR",
    "ga_measurement_id": "G-KQFB2GR3HN",
    "tabs_config": {},
    "is_active": true,
    "sort_order": 123
  }
}

Authorizations

Authorization
string
header
required

OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 24h — Swagger UI will reuse the same token across operations.

Body

application/json
slug
string
required
Required string length: 1 - 100
Pattern: ^[a-z0-9-]+$
name
string
required
Required string length: 1 - 200
filter
string
required
Minimum string length: 1
description
string
long_description
string
jobs_filter
string
region
string
image_url
string
geojson_url
string
partner_logos
object[]
primary_color
string
surface_color
string
brand_surface_color
string
tabs_config
object
sort_order
integer
anonymous_access
boolean
currency
string

Default display currency (ISO 4217) for this ecosystem's API responses. Omit to use the global default (USD). Validated against supported rates.

Pattern: ^[A-Za-z]{3}$
Example:

"EUR"

ga_measurement_id
string

GA4 measurement ID for this ecosystem's analytics stream.

Pattern: ^G-[A-Z0-9]+$
Example:

"G-KQFB2GR3HN"

Response

Created ecosystem

data
object
required